@import "pref";
//
// Angular Material
// https://material.angular.io/
//
@import "~@angular/material/prebuilt-themes/deeppurple-amber.css";

//
// DWFE material
//
mat-tooltip-component {

  .mat-tooltip-handset {
    margin: 10px;
    padding: 7px 10px;
    font-size: $font-size-x1;
  }
}

mat-slide-toggle.isChanged {
  background-color: $color-sail-approx; // toggle.component.html
}

.mat-form-field:not(.mat-form-field-appearance-legacy) {

  .mat-form-field-suffix {

    .mat-datepicker-toggle {

      svg.mat-datepicker-toggle-default-icon {
        width: 24px;
        height: 24px;
      }
    }
  }
}

//
// ADAPTIVE
//
@include media-tablet {

  mat-tooltip-component {

    .mat-tooltip {
      font-size: $font-size-x1;
    }
  }
}
